Bug 1259804 - [Docs] [Install] Browser requirements completely ignore RHEL 7
[Docs] [Install] Browser requirements completely ignore RHEL 7
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.5.4
Unspecified Linux
medium Severity low
: ovirt-3.5.5
: 3.5.5
Assigned To: Lucy Bopf
Tahlia Richardson
docs
:
Depends On:
Blocks: 1277358
  Show dependency treegraph
 
Reported: 2015-09-03 10:36 EDT by Jiri Belka
Modified: 2016-02-10 13:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-11 08:51:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2015-09-03 10:36:10 EDT
Description of problem:
browser requirements completely ignores RHEL7.

2.1. Browser Requirements
Use a supported web browser to access the Administration Portal and the User Portal. The portals support the following browsers:

    Red Hat Enterprise Linux 5.x - Mozilla Firefox 31
    Red Hat Enterprise Linux 6 - Mozilla Firefox 31
    Windows 7 - Internet Explorer 9 or later


Version-Release number of selected component (if applicable):
rhevm-docs shipped with 3.5.4

How reproducible:
100%

Steps to Reproduce:
1. open admin guide and check for browser requirements
2.
3.

Actual results:
we ignore existence of RHEL7

Expected results:
RHEL7 should be mentioned at least

Additional info:
Comment 1 Andrew Dahms 2015-09-23 20:33:29 EDT
Assigning to Lucy for review.
Comment 2 Lucy Bopf 2015-09-28 01:12:41 EDT
Hi Jiri,

That content was actually updated earlier this year at the recommendation of support and engineering (bug 1193251). The new version of the browser requirements topic mentions only operating system families, and not specific versions. It is available here:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5/html-single/Administration_Guide/index.html#Red_Hat_Enterprise_Virtualization_Manager_Client_Requirements

I've taken a look at the documentation in the rhevm-doc package, and it seems that the books are several revisions behind. I will follow that up with the component owner. Does the more up-to-date version I've linked above better explain the recommended browser requirements?


Also adding Einav to confirm support. Einav, do we support Firefox 31 on RHEL 7 for Admin or User Portal access (for 3.5)? The updated topic mentions simply 'Red Hat Enterprise Linux', so it's fair that readers would assume RHEL 7 is included in that definition. If it is not supported, I will update the 3.5 docs to say so.
Comment 3 Einav Cohen 2015-09-28 11:42:00 EDT
we should actually mention that we support FF38, not FF31 (see bug 1223194). 

this is relevant for 3.5. for 3.6, need to update the documentation based on the instructions in bug 1188226 (see comment #2 in that BZ for the updated matrix). 

no need to differentiate between different versions of RHEL.
Comment 7 Andrew Dahms 2015-11-11 08:51:15 EST
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.